Webhook Configuration
curl --request GET \
--url https://api.vitawallet.io/api/businesses/webhooks \
--header 'Authorization: <api-key>' \
--header 'x-date: <api-key>' \
--header 'x-login: <api-key>' \
--header 'x-trans-key: <api-key>'import requests
url = "https://api.vitawallet.io/api/businesses/webhooks"
headers = {
"x-login": "<api-key>",
"x-trans-key": "<api-key>",
"x-date": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-login': '<api-key>',
'x-trans-key': '<api-key>',
'x-date': '<api-key>',
Authorization: '<api-key>'
}
};
fetch('https://api.vitawallet.io/api/businesses/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vitawallet.io/api/businesses/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-date: <api-key>",
"x-login: <api-key>",
"x-trans-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vitawallet.io/api/businesses/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-login", "<api-key>")
req.Header.Add("x-trans-key", "<api-key>")
req.Header.Add("x-date", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vitawallet.io/api/businesses/webhooks")
.header("x-login", "<api-key>")
.header("x-trans-key", "<api-key>")
.header("x-date", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vitawallet.io/api/businesses/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-login"] = '<api-key>'
request["x-trans-key"] = '<api-key>'
request["x-date"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"webhook_url": "https://myserver.com/webhook",
"configured_categories": [
"microdeposit"
],
"available_categories": [
"sent",
"received",
"deposit",
"withdrawal",
"exchange",
"fee",
"payment",
"transfer",
"vita_card",
"tax",
"cash_back_coupon",
"service_payment",
"adjustment",
"card_credit_adjustment",
"card_debit_adjustment",
"card_transaction",
"request_charge",
"card_maintenance",
"microdeposit"
]
}Webhooks
Webhook Configuration
Retrieves the current webhook configuration for your business account, including:
-
The webhook URL where notifications are sent.
-
The categories you’re currently subscribed to.
-
The complete list of categories available in Vita.
Use this endpoint to inspect your current setup, audit your active subscriptions, or display configuration details in an admin interface.
Response Structure
| Field | Type | Description |
|---|---|---|
webhook_url | string | null / URL |
configured_categories | string[] | Transaction categories currently subscribed for notifications. |
available_categories | string[] | All transaction categories supported by Vita (19 total). Use this list to discover new categories you can subscribe to. |
Request Example
curl --location 'https://api.vitawallet.io/api/businesses/webhooks' \
--header 'X-Login: {your_x_login}' \
--header 'X-Trans-Key: {your_x_trans_key}' \
--header 'X-Date: {current_iso8601_timestamp_with_timezone}' \
--header 'Authorization: {signature_calculated_per_the_Business_API_authentication_doc}'
See “Authenticating Requests to These Endpoints” above — the signature here is not calculated with the webhook-verification formula.
Response Example
{
"webhook_url": "https://myserver.com/webhook",
"configured_categories": [
"microdeposit"
],
"available_categories": [
"sent",
"received",
"deposit",
"withdrawal",
"exchange",
"fee",
"payment",
"transfer",
"vita_card",
"tax",
"cash_back_coupon",
"service_payment",
"adjustment",
"card_credit_adjustment",
"card_debit_adjustment",
"card_transaction",
"request_charge",
"card_maintenance",
"microdeposit"
]
}
GET
/
api
/
businesses
/
webhooks
Webhook Configuration
curl --request GET \
--url https://api.vitawallet.io/api/businesses/webhooks \
--header 'Authorization: <api-key>' \
--header 'x-date: <api-key>' \
--header 'x-login: <api-key>' \
--header 'x-trans-key: <api-key>'import requests
url = "https://api.vitawallet.io/api/businesses/webhooks"
headers = {
"x-login": "<api-key>",
"x-trans-key": "<api-key>",
"x-date": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-login': '<api-key>',
'x-trans-key': '<api-key>',
'x-date': '<api-key>',
Authorization: '<api-key>'
}
};
fetch('https://api.vitawallet.io/api/businesses/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vitawallet.io/api/businesses/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-date: <api-key>",
"x-login: <api-key>",
"x-trans-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vitawallet.io/api/businesses/webhooks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-login", "<api-key>")
req.Header.Add("x-trans-key", "<api-key>")
req.Header.Add("x-date", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vitawallet.io/api/businesses/webhooks")
.header("x-login", "<api-key>")
.header("x-trans-key", "<api-key>")
.header("x-date", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vitawallet.io/api/businesses/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-login"] = '<api-key>'
request["x-trans-key"] = '<api-key>'
request["x-date"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"webhook_url": "https://myserver.com/webhook",
"configured_categories": [
"microdeposit"
],
"available_categories": [
"sent",
"received",
"deposit",
"withdrawal",
"exchange",
"fee",
"payment",
"transfer",
"vita_card",
"tax",
"cash_back_coupon",
"service_payment",
"adjustment",
"card_credit_adjustment",
"card_debit_adjustment",
"card_transaction",
"request_charge",
"card_maintenance",
"microdeposit"
]
}Authorizations
Business xLogin
Business xTransKey
ISO8601 datetime
V2-HMAC-SHA256 signature. Example: V2-HMAC-SHA256, Signature: <hash>
Response
200 - application/json
Successful response.